curl --request GET \ --url "https://api.roe-ai.com/v1/database/query/YOUR_QUERY_ID/result/?organization_id=YOUR_ORG_ID" \ --header "Authorization: Bearer YOUR_API_KEY"
{ "worksheet_query_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "<string>", "results": [ { "query": "<string>", "summary": { "read_rows": 123, "read_bytes": 123, "written_rows": 123, "written_bytes": 123, "total_rows_to_read": 123, "result_rows": 123, "result_bytes": 123, "elapsed_ns": 123, "query_id": "<string>" }, "row_count": 123, "column_names": [ "<string>" ], "column_types": [ "<string>" ], "result_rows": [ [ "<string>" ] ], "start_timestamp": 123, "end_timestamp": 123, "query_id": "<string>" } ], "error": "<string>" }
Get the results of a query.
Organization ID. This is required for access control. It can be provided via query or request body depending on the endpoint.
The query task UUID.
The status of the query task.
The results of the query.
Show child attributes
An error message if the query failed.